/*** hubspot outer CSS ***/
@charset "UTF-8";

/* 希望日モーダル画面 */
.date-modal-overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  padding: 30px 15px;
  background: rgba(0,0,0,0.4);
  top: 0;
  left: 0;
  z-index: 10;
  display: none;
}
.date-modal-overlay.active {
  display: flex;
}
.date-modal-window {
  width: fit-content;
  height: fit-content;
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 1;
}
.date-modal-content {
  max-width: 800px;
  max-height: 70vh;
  background: #FFF;
  padding: 20px 15px;
  border-radius: 10px;
  overflow-x: hidden;
  overflow-y: scroll;
}
@media (min-width: 768px) {
  .date-modal-content {
    padding: 30px;
    overflow-y: auto;
  }
}
.date-modal-heading {
  color: #4d4d4d;
  font-size: 15px;
  font-weight: 700;
  text-align: center;
}
@media (min-width: 768px) {
  .date-modal-heading {
    font-size: 16px;
  }
}
.date-modal-body {
  margin-top: 10px;
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
@media (min-width: 768px) {
  .date-modal-body {
    margin-top: 15px;
    flex-direction: row;
    gap: 40px;
  }
}
.calendar {
  width: 100%;
  position: relative;
}
@media (min-width: 768px) {
  .calendar {
    width: 60%;
  }
}
.calendar::after {
  content: "";
  display: block;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 10px 9px 0 9px;
  border-color: #50bef0 transparent transparent transparent;
  position: absolute;
  bottom: -20px;
  right: 50%;
  transform: translateX(50%);
}
@media (min-width: 768px) {
  .calendar::after {
    border-width: 9px 0 9px 10px;
    border-color: transparent transparent transparent #50bef0;
    right: -25px;
    top: 50%;
    transform: translateY(-50%);
  }
}
@media (min-width: 768px) {
  .calendar, .time {
    padding: 20px;
  }
}
.calendar {
  width: 100%;
}
@media (min-width: 768px) {
  .calendar {
    width: 60%;
  }
}
.datepicker .ui-widget {
  font-family: -apple-system, BlinkMacSystemFont, Roboto, "Segoe UI", "Helvetica Neue", HelveticaNeue, YuGothic, "Yu Gothic Medium", "Yu Gothic", Verdana, Meiryo, sans-serif;
}
.datepicker .ui-widget.ui-widget-content {
  width: 100% !important;
  padding: 0;
  border: none;
  background: transparent;
}
.datepicker .ui-datepicker-group {
  background: #fff;
  border-radius: 8px 8px 0 0;
  overflow: hidden;
}
.ui-datepicker-group + .ui-datepicker-group {
  margin-top: 15px;
}
@media (min-width: 768px) {
  .ui-datepicker-group + .ui-datepicker-group {
    margin-top: 20px;
  }
}
.ui-datepicker-multi-2 .ui-datepicker-group {
  width: 100%;
}

.calendar .ui-datepicker-group {
  display: none;
}
.calendar .ui-datepicker-group:has(tr a) {
  display: block;
}
.calendar .ui-widget-header {
  color: #fff;
  font-size: 13px;
  background: #69a8eb;
  border: none;
  border-bottom-left-radius: 0;
}
@media (min-width: 768px) {
  .calendar .ui-widget-header {
    font-size: 15px;
    padding: 4px;
  }
}
.calendar .ui-datepicker table {
  width: 100%;
  margin: 0;
  table-layout: fixed;
  border-collapse: collapse;
}
.calendar .ui-datepicker thead {
  font-size: 11px;
}
@media (min-width: 768px) {
  .calendar .ui-datepicker thead {
    font-size: 13px;
  }
}
.calendar .ui-datepicker tbody tr {
  background: #f5f5f5;
  display: none;
}
.calendar .ui-datepicker tbody tr:has(a) {
  display: table-row;
}
.calendar .ui-datepicker th {
  padding:  4px 0;
}
.calendar .ui-datepicker th:first-child {
  color: #f03030;
}
.calendar .ui-datepicker th:last-child{
  color: #0d74d2;
}

.calendar .ui-datepicker td {
  padding: 3px;
  background: transparent;
}
@media (min-width: 768px) {
  .calendar .ui-datepicker td {
    padding: 4px;
  }
}
.calendar .ui-datepicker td a, .calendar .ui-datepicker td span {
  text-align: center;
  font-weight: bold;
  padding: 6px;
  border-radius: 4px;
}
@media (min-width: 768px) {
  .calendar .ui-datepicker td a, .calendar .ui-datepicker td span {
    padding: 10px;
  }
}
.calendar .ui-datepicker td:first-child a, .calendar .ui-datepicker td:first-child span {
  color: #f03030;
}
.calendar .ui-datepicker td:last-child a, .calendar .ui-datepicker td:last-child span {
  color: #0d74d2;
}
.calendar .ui-datepicker td a.ui-state-default {
  background: #fff;
  border: 1px solid #dfdfdf;
  line-height: 1.42857143;
  font-size: 14px;
}
@media (min-width: 768px) {
  .calendar .ui-datepicker td a.ui-state-default {
    font-size: 15px;
  }
}
.calendar .ui-datepicker td a.ui-state-highlight {
  background: #fff;
  border: none;
}
.calendar .ui-datepicker td a.ui-state-active {
  color: #fff;
  background: #eb6e96;
  border: none;
}
.calendar .ui-state-disabled {
  opacity: 0;
}
